<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Atención de Hallazgos</strong>
    </div>
    <div class="contSecc">
      <busqueda-resumen
      v-on:cerohallazgos="handlerCeroHallazgos"
      ref="conteosHallazgos"
      @click="handlerClickConteos"
        :idCeco="idCeco"
        :idFase="idFase"
        :idProyecto="idProyecto"
        :nombreCecoParam="this.nombreCecoParam"
        :numCecoParam="this.numCecoParam"
      />
      <v-tabs v-model="tabs" fixed-tabs>
        <v-tab>
          <strong>Hallazgos</strong>
        </v-tab>
        <v-tab>
          <strong>Adicionales</strong>
        </v-tab>
      </v-tabs>
      <v-tabs-items v-model="tabs">
        <v-tab-item>
          <tabla-hallazgos
          ref="tablaHallazgos"
            :idCeco="idCeco"
            :idFase="idFase"
            :idProyecto="idProyecto"
            :nombreCecoParam="this.nombreCecoParam"
            :numCecoParam="this.numCecoParam"
            :fase="this.fase"
            :territorio="this.territorio"
            :zona="this.zona"
            :region="this.region"
          />
        </v-tab-item>
        <v-tab-item>
          <tabla-adicionales 
            v-on:actualiza="handlerActualiza"
            :idCeco="idCeco"
            :idFase="idFase"
            :idProyecto="idProyecto"
            :nombreCecoParam="this.nombreCecoParam"
            :numCecoParam="this.numCecoParam"
          />
        </v-tab-item>
      </v-tabs-items>
    </div>
  </div>
</template>



<script>
import router from "@/router";
import BusquedaResumen from "@/views/secure/infraestructura/components/busqueda-resumen";
import TablaHallazgos from "@//views/secure/infraestructura/components/TablaHallazgos";
import TablaAdicionales from "@//views/secure/infraestructura/components/TablaAdicionales";
import store from "@/store";
const axiosChecklist = store.state.axiosChecklist;
import axios from "axios";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Component-ListaHallazgos",
  components: {
    BusquedaResumen,
    TablaHallazgos,
    TablaAdicionales
  },
  data: () => ({
    hallazgos: [],
    tabs: null,
    idProyecto: 0,
    idFase: 0,
    idCeco: 0,
    fase : "",
    territorio : "",
    zona : "",
    region : "",
    items: ["Foo", "Bar", "Fizz", "Buzz"],
    pageCount: 1,
    itemsPerPage: 10,
    search: "",
    //Paginador
    circle: false,
    disabled: false,
    length: 2,
    nextIcon: "mdi-chevron-right",
    prevIcon: "mdi-chevron-left",
    page: 1,
    totalVisible: 2,
    nombreCecoParam: "",
    numCecoParam: "",
    origenAtencion: false,
    propiedades_footer: {
      itemsPerPageOptions: [2, 4, 5, 10]
    },
    encabezadoHallazgos: [
      { text: "Estatus", value: "status" },
      { text: "ID", value: "idHallazgo" },
      { text: "Zona", value: "area" },
      { text: "Protocolo", value: "nombChek" },
      { text: "Item", value: "preg" },
      { text: "Respuesta", value: "respuesta" },
      { text: "Historial", value: "criticidad" }
    ],
    breadcrumbs: [
      {
        text: "Plataforma de Franquicia",
        disabled: false,
        exact: true,
        to: {
          name: "home"
        }
      },
      {
        text: "Modelo de Entrega",
        disabled: false,
        exact: true,
        to: {
          name: "modelo_entrega"
        }
      },
      {
        text: "Busqueda Hallazgos",
        disabled: false,
        exact: true,
        to: {
          name: "modelo_franquicia_atencion_hallazgos"
        }
      },
      {
        text: "Listado hallazgos",
        disabled: true,
        exact: true
      }
    ]
  }),
  created() {
    const cecoData = this.$route.params.cecoFaseProyecto;
    const dataObject = serviceCommons.base64ToObject(cecoData);

    // this.hallazgos = dataObject.data;
    this.idProyecto = dataObject.idProyecto;
    this.idFase = dataObject.idFase;
    this.idCeco = dataObject.idCeco;
    this.nombreCecoParam = dataObject.nombreCecoIni;
    this.numCecoParam = dataObject.numCecoIni;

    this.origenAtencion = dataObject.origenAtencion

    //Variables que sirven para acta
    this.fase = dataObject.fase
    this.territorio = dataObject.territorio
    this.zona = dataObject.zona
    this.region = dataObject.region
    //

    //alert("Fase:"+this.fase + " Territorio: " + this.territorio + "Zona: "+this.zona+" Region: "+this.region)


    //alert("El origen viene de atender un hallazgo "+ this.origenAtencion)

  },
  methods: {
    handlerCeroHallazgos(ceroHallazgos){
      //alert("Cero hallazgos")

      if(ceroHallazgos && this.origenAtencion ){
        this.detonaCorreo()
      }

    },
    handlerActualiza(){
      this.$refs.tablaHallazgos.getHallazgos()
      this.$refs.conteosHallazgos.actualizaHallazgos()
    },
    handlerClickConteos(estatus){
      this.$refs.tablaHallazgos.getHallazgosFiltrados(estatus)

    },
    getColor(estatus) {
      if (estatus == "Por atender") return "red";
      else if (estatus == "Por autorizar") return "#f19838";
      else return "#ee7c31";
    },
    verDetalle(item) {
      console.log("Entra a funcion" + item);
    },
    getResumen() {
      //alert("Di click");
    },
    detonaCorreo(item) {
            axiosChecklist
                .get(
                  "/expansionCoreServices/enviaCorreoAtencionHallazgos.json?"+
                  "idUsuario="+
                  "&idCeco="+this.idCeco+
                  "&idFase="+this.idFase+
                  "&idProyecto="+this.idProyecto+
                  "&nombreFase="+this.fase+
                  "&territorio="+this.territorio+
                  "&zona="+this.zona+
                  "&region="+this.region+
                  "&nombreCeco="+this.nombreCecoParam, {
                        responseType: "json",
                    }
                )
                .then((response) => {
                    if (response) {
                        if (response.status === 200) {
                           alert(JSON.stringify(response.data))
                        }
                    }
                })
                .catch((error) => {
                    console.log(error);
                })
                .finally(function () {});

              this.origenAtencion = false
        }

        
  }
};
</script>

<style scoped>
.buscador {
  margin-bottom: 20px;
}
.buscador > div {
  width: 34%;
}
span.v-chip.theme--dark.v-size--default {
  width: 13px;
  height: 13px;
  border-radius: 50%;
  margin-right: 10px;
  padding: 0px;
}
.tblGeneral tr td a.liga1 {
  text-decoration: underline;
  font-family: "AvenirNextLTPro-Medium";
}
</style>
